## org.apache.poi.ss.formula.eval
Interface AreaEval

All Superinterfaces:
  TwoDEval, ValueEval

All Known Implementing Classes:
  AreaEvalBase

    public interface AreaEval

extends TwoDEval

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Method Summary
`boolean` `contains(int row, int col)` returns true if the cell at row and col specified as absolute indexes in the sheet is contained in this area.
`boolean` `containsColumn(int col)` returns true if the specified col is in range
`boolean` `containsRow(int row)` returns true if the specified row is in range
`ValueEval` `getAbsoluteValue(int row, int col)`
`int` `getFirstColumn()` returns the 0-based index of the first col in this area.
`int` `getFirstRow()` returns the 0-based index of the first row in this area.
`int` `getHeight()`
`int` `getLastColumn()` returns the 0-based index of the last col in this area.
`int` `getLastRow()` returns the 0-based index of the last row in this area.
`ValueEval` `getRelativeValue(int relativeRowIndex, int relativeColumnIndex)`
`int` `getWidth()`
`AreaEval` `offset(int relFirstRowIx, int relLastRowIx, int relFirstColIx, int relLastColIx)` Creates an `AreaEval` offset by a relative amount from from the upper left cell of this area

Methods inherited from interface org.apache.poi.ss.formula.TwoDEval
`getColumn, getRow, getValue, isColumn, isRow, isSubTotal`

Method Detail

### getFirstRow

    int getFirstRow()

  returns the 0-based index of the first row in this area.

### getLastRow

    int getLastRow()

  returns the 0-based index of the last row in this area.

### getFirstColumn

    int getFirstColumn()

  returns the 0-based index of the first col in this area.

### getLastColumn

    int getLastColumn()

  returns the 0-based index of the last col in this area.

### getAbsoluteValue

    ValueEval getAbsoluteValue(int row,
                               int col)

  Returns:
    the ValueEval from within this area at the specified row and col index. Never `null` (possibly `BlankEval`). The specified indexes should be absolute indexes in the sheet and not relative indexes within the area.

### contains

    boolean contains(int row,
                     int col)

  returns true if the cell at row and col specified as absolute indexes in the sheet is contained in this area.

  Parameters:
    `row` -
    `col` -

### containsColumn

    boolean containsColumn(int col)

  returns true if the specified col is in range

  Parameters:
    `col` -

### containsRow

    boolean containsRow(int row)

  returns true if the specified row is in range

  Parameters:
    `row` -

### getWidth

    int getWidth()

  Specified by:
    `getWidth` in interface `TwoDEval`

### getHeight

    int getHeight()

  Specified by:
    `getHeight` in interface `TwoDEval`

### getRelativeValue

    ValueEval getRelativeValue(int relativeRowIndex,
                               int relativeColumnIndex)

  Returns:
    the ValueEval from within this area at the specified relativeRowIndex and relativeColumnIndex. Never `null` (possibly `BlankEval`). The specified indexes should relative to the top left corner of this area.

### offset

    AreaEval offset(int relFirstRowIx,
                    int relLastRowIx,
                    int relFirstColIx,
                    int relLastColIx)

  Creates an `AreaEval` offset by a relative amount from from the upper left cell of this area

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.